package com.mortals.xhx.module.device.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceLogVo;
/**
* 设备日志实体对象
*
* @author zxfei
* @date 2021-11-22
*/

public class DeviceLogEntity extends DeviceLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备名称，设置设备名称。
    */
    private String deviceName;
    /**
    * 平台为产品颁发的全局唯一标识符
    */
    private String productKey;
    /**
    * 日志类型，(0.上报事件，1.下发服务)
    */
    private Integer logType;
    /**
    * 内容
    */
    private String content;



    public DeviceLogEntity(){}
    /**
    * 获取 设备名称，设置设备名称。
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 平台为产品颁发的全局唯一标识符
    * @return String
    */
    public String getProductKey(){
        return productKey;
    }
    /**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public void setProductKey(String productKey){
        this.productKey = productKey;
    }
    /**
    * 获取 日志类型，(0.上报事件，1.下发服务)
    * @return Integer
    */
    public Integer getLogType(){
        return logType;
    }
    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logType
    */
    public void setLogType(Integer logType){
        this.logType = logType;
    }
    /**
    * 获取 内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceLogEntity) {
            DeviceLogEntity tmp = (DeviceLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",productKey:").append(getProductKey());
        sb.append(",logType:").append(getLogType());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){
            this.deviceName = null;
            this.productKey = null;
            this.logType = null;
            this.content = null;
    }
}